<div class="body">
  <mat-card style="margin-bottom: 20px;" class="mat-elevation-z0">
    <mat-form-field
      style="display: block;"
      appearance="outline"
      [formGroup]="feed"
    >
      <mat-label>What's your feed?</mat-label>
      <input matInput formControlName="message" />
    </mat-form-field>
    <div style="display: flex;">
      <span style="flex: 1 1;"></span>
      <button
        mat-flat-button
        color="accent"
        (click)="post()"
        [disabled]="feed.invalid"
      >
        Post
      </button>
      &nbsp;&nbsp;
      <button mat-flat-button color="primary" (click)="logout()">
        Log Out
      </button>
    </div>
  </mat-card>
  <app-card
    *ngFor="let feed of feeds"
    [(username)]="feed.username"
    [(message)]="feed.message"
  >
  </app-card>
</div>
